using System;
using System.Collections.Generic;
using System.Linq;
using GrapeCity.ActiveReports.Data;
using RtfReport.Data;

namespace RtfReport.Reports
{
    public partial class DocumentDetailSubReport : GrapeCity.ActiveReports.SectionReport
    {
        private List<DocumentPositionReportData> items;

        public DocumentDetailSubReport()
        {
            this.InitializeComponent();
        }

        public DocumentDetailSubReport(List<DocumentPositionReportData> items)
            : this()
        {
            this.items = items;
            this.DataSource = this.items;
        }

        private void FormatDetail(object sender, EventArgs e)
        {
            Guid id = (Guid)this.Fields[nameof(DocumentPositionReportData.Id)].Value;
            DocumentPositionReportData item = this.items.First(f => f.Id == id);
            if (item.TitlePosition != null)
            {
                this.subReport1.Report = new DocumentTitlePositionSubReport(item.TitlePosition);
            }
            else if (item.PricePosition != null)
            {
                this.subReport1.Report = new DocumentPositionSubReport(item.PricePosition);
            }
            else if (item.TextPosition != null)
            {
                this.subReport1.Report = new DocumentPositionSubReport(item.TextPosition);
            }
        }
    }
}
