using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Controls.Primitives;
using RtfReport.Data;

namespace RtfReport.Reports
{
    /// <summary>
    /// Summary description for DocumentReport.
    /// </summary>
    public partial class DocumentReport : GrapeCity.ActiveReports.SectionReport
    {
        private List<DocumentReportData> items;

        public DocumentReport()
        {
            this.InitializeComponent();
        }

        public DocumentReport(List<DocumentReportData> items)
            : this()
        {
            this.items = items;
            this.DataSource = this.items;
        }

        private void FormatDetail(object sender, EventArgs e)
        {
            this.textBoxDocumentNumber.Text = this.Fields[nameof(DocumentReportData.DocumentNumber)].ToString();
            this.textBoxDocumentName.Text = this.Fields[nameof(DocumentReportData.DocumentName)].ToString();
            DocumentReportData data = this.items.FirstOrDefault(f => f.Id == (Guid)this.Fields[nameof(DocumentReportData.Id)].Value);
            if (data != null)
            {
                this.subReportPositions.Report = new DocumentDetailSubReport(data.Items);
            }
        }
    }
}
